<?php

namespace PM\PerfectMoneyPaymentGateway\Controller\Url;

use Magento\Framework\App\Action\Action;
use Magento\Sales\Model\Order;
use Symfony\Component\Config\Definition\Exception\Exception;
use Magento\Framework\App\CsrfAwareActionInterface;
use Magento\Framework\App\Request\InvalidRequestException;
use Magento\Framework\App\RequestInterface;

class Status extends Action implements CsrfAwareActionInterface
{

    protected $resultPageFactory;

    protected $jsonResultFactory;

    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\View\Result\PageFactory $resultPageFactory,
        \Magento\Framework\Controller\Result\JsonFactory $jsonResultFactory
    )
    {
        $this->resultPageFactory = $resultPageFactory;
        $this->jsonResultFactory = $jsonResultFactory;
        parent::__construct($context);
    }

    public function createCsrfValidationException(
        RequestInterface $request
    ): InvalidRequestException
    {
        return null;
    }

    public function validateForCsrf(RequestInterface $request): bool
    {
        return true;
    }

    public function execute()
    {
        
        //get request data
        $post_data = $this->getRequest()->getPostValue();

        $model = 'PM\PerfectMoneyPaymentGateway\Model\PM';
        $paymentMethod = $this->_objectManager->create($model);
        $response = $paymentMethod->processResponse($post_data);
        
        $result = $this->jsonResultFactory->create();
        $result->setData(['result' => $response]);
        return $result;
    }

}
